Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.extension
Class JifProcedureDeclDel

    java.lang.Object
      polyglot.ast.Ext_c
          polyglot.ast.JL_c
              jif.extension.JifJL_c
                  jif.extension.JifProcedureDeclDel

All Implemented Interfaces:
  java.lang.Cloneable, polyglot.ast.Ext, polyglot.ast.JL, polyglot.ast.NodeOps, polyglot.util.Copy

Direct Known Subclasses:
  JifMethodDeclDel

    public class JifProcedureDeclDel

extends JifJL_c

The Jif delegate the `ProcedureDecl` node.

See Also:
  `ProcedureDecl`

Field Summary

Fields inherited from class polyglot.ast.Ext_c
`ext, node`

Constructor Summary
`JifProcedureDeclDel()`

Method Summary
`protected void` | `addFormalsToScope(polyglot.types.Context c)`
`protected void` | `ensureNotTopPrincipal(java.util.List principals, polyglot.util.Position pos)`
`protected void` | `ensureNotTopPrincipal(Principal p, polyglot.util.Position pos)`
`polyglot.types.Context` | `enterScope(polyglot.types.Context c)`
`polyglot.ast.Node` | `typeCheck(polyglot.visit.TypeChecker tc)`

Methods inherited from class jif.extension.JifJL_c
`buildTypes, translate`

Methods inherited from class polyglot.ast.JL_c
`addDecls, buildTypesEnter, checkConstants, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, exceptionCheck, exceptionCheckEnter, jl, prettyPrint, prettyPrint, prettyPrint, throwTypes, typeCheckEnter, typeCheckOverride, visitChildren`

Methods inherited from class polyglot.ast.Ext_c
`copy, dump, ext, ext, init, node, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.util.Copy
`copy`

Constructor Detail

### JifProcedureDeclDel

    public JifProcedureDeclDel()

Method Detail

### enterScope

    public polyglot.types.Context enterScope(polyglot.types.Context c)

  Specified by:
    `enterScope` in interface `polyglot.ast.NodeOps`
  Overrides:
    `enterScope` in class `polyglot.ast.JL_c`

### addFormalsToScope

    protected void addFormalsToScope(polyglot.types.Context c)

### typeCheck

    public polyglot.ast.Node typeCheck(polyglot.visit.TypeChecker tc)
                                throws polyglot.types.SemanticException

  Specified by:
    `typeCheck` in interface `polyglot.ast.NodeOps`
  Overrides:
    `typeCheck` in class `polyglot.ast.JL_c`
  Throws:
    `polyglot.types.SemanticException`

### ensureNotTopPrincipal

    protected void ensureNotTopPrincipal(java.util.List principals,
                                         polyglot.util.Position pos)
                                  throws polyglot.types.SemanticException

  Throws:
    `polyglot.types.SemanticException`

### ensureNotTopPrincipal

    protected void ensureNotTopPrincipal(Principal p,
                                         polyglot.util.Position pos)
                                  throws polyglot.types.SemanticException

  Throws:
    `polyglot.types.SemanticException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD